Debian Bug report logs - #611648
brltty-udeb: detected USB braille device just shows "screen not in text mode"

version graph

Package: brltty-udeb; Maintainer for brltty-udeb is Debian Accessibility Team <debian-accessibility@lists.debian.org>; Source for brltty-udeb is src:brltty.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Mon, 31 Jan 2011 16:51:02 UTC

Severity: normal

Found in version brltty/4.2-7

Fixed in version brltty/4.3-1

Done: Mario Lang <mlang@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-boot@lists.debian.org, debian-accessibility@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#611648; Package brltty-udeb. (Mon, 31 Jan 2011 16:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to debian-boot@lists.debian.org, debian-accessibility@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Mon, 31 Jan 2011 16:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: brltty-udeb: detected USB braille device just shows "screen not in text mode"
Date: Mon, 31 Jan 2011 17:48:21 +0100
Package: brltty-udeb
Version: 4.2-7
Severity: normal

In some cases, when letting the Debian Installer detect the plugged USB
braille device, the latter ends up showing only "screen not in text
mode".

This happens because udev may need some time to actually discover that
a USB braille device is connected, during which the rest of Debian
Installer has the time to start bterm (or even Xorg), which is not
accessible and produces this warning.

A workaround is to pass "brltty" at the kernel command line, which will
force USB device detection and disabling bterm or Xorg.

A proper solution is not so easy, because udev does not really have
a notion of "I have finished discovering devices", "udev settle" is
not enough. This thus boils down to the "I first boot, then plug a USB
braille device" scenario, which is supposed to switch d-i to textmode so
that brltty can read it.

Samuel

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel Thibault <samuel.thibault@fnac.net>
<c> hiri, le cri ici, c des marrants
<c> j'ai un rep ".uglyhackdirectorywithoutacls" ds mon home
 -+- #ens-mim en stage -+-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Accessibility Team <debian-accessibility@lists.debian.org>:
Bug#611648; Package brltty-udeb. (Thu, 30 Jun 2011 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Accessibility Team <debian-accessibility@lists.debian.org>. (Thu, 30 Jun 2011 20:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 611648@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 611648@bugs.debian.org
Subject: Re: Bug#611648: brltty-udeb: detected USB braille device just shows "screen not in text mode"
Date: Thu, 30 Jun 2011 22:08:56 +0200
Samuel Thibault, le Mon 31 Jan 2011 17:48:21 +0100, a écrit :
> A workaround is to pass "brltty" at the kernel command line, which will
> force USB device detection and disabling bterm or Xorg.

Note: there is no need to specify any parameter beyond just the "brltty"
word on the command line, everything will be automatically detected.

Samuel




Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Tue, 26 Jul 2011 21:48:18 GMT) Full text and rfc822 format available.

Reply sent to Mario Lang <mlang@debian.org>:
You have taken responsibility. (Thu, 05 Jan 2012 23:21:10 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Thu, 05 Jan 2012 23:21:10 GMT) Full text and rfc822 format available.

Message #17 received at 611648-close@bugs.debian.org (full text, mbox):

From: Mario Lang <mlang@debian.org>
To: 611648-close@bugs.debian.org
Subject: Bug#611648: fixed in brltty 4.3-1
Date: Thu, 05 Jan 2012 23:17:37 +0000
Source: brltty
Source-Version: 4.3-1

We believe that the bug you reported is fixed in the latest version of
brltty, which is due to be installed in the Debian FTP archive:

brltty-espeak_4.3-1_amd64.deb
  to main/b/brltty/brltty-espeak_4.3-1_amd64.deb
brltty-flite_4.3-1_amd64.deb
  to main/b/brltty/brltty-flite_4.3-1_amd64.deb
brltty-speechd_4.3-1_amd64.deb
  to main/b/brltty/brltty-speechd_4.3-1_amd64.deb
brltty-udeb_4.3-1_amd64.udeb
  to main/b/brltty/brltty-udeb_4.3-1_amd64.udeb
brltty-x11_4.3-1_amd64.deb
  to main/b/brltty/brltty-x11_4.3-1_amd64.deb
brltty_4.3-1.debian.tar.gz
  to main/b/brltty/brltty_4.3-1.debian.tar.gz
brltty_4.3-1.dsc
  to main/b/brltty/brltty_4.3-1.dsc
brltty_4.3-1_amd64.deb
  to main/b/brltty/brltty_4.3-1_amd64.deb
brltty_4.3.orig.tar.gz
  to main/b/brltty/brltty_4.3.orig.tar.gz
cl-brlapi_4.3-1_all.deb
  to main/b/brltty/cl-brlapi_4.3-1_all.deb
libbrlapi-dev_4.3-1_amd64.deb
  to main/b/brltty/libbrlapi-dev_4.3-1_amd64.deb
libbrlapi-java_4.3-1_all.deb
  to main/b/brltty/libbrlapi-java_4.3-1_all.deb
libbrlapi-jni_4.3-1_amd64.deb
  to main/b/brltty/libbrlapi-jni_4.3-1_amd64.deb
libbrlapi0.5_4.3-1_amd64.deb
  to main/b/brltty/libbrlapi0.5_4.3-1_amd64.deb
python-brlapi_4.3-1_amd64.deb
  to main/b/brltty/python-brlapi_4.3-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611648@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mario Lang <mlang@debian.org> (supplier of updated brltty package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 13 Oct 2011 22:52:39 +0200
Source: brltty
Binary: brltty libbrlapi0.5 libbrlapi-dev libbrlapi-jni libbrlapi-java brltty-flite brltty-speechd brltty-espeak brltty-udeb brltty-x11 cl-brlapi python-brlapi
Architecture: source amd64 all
Version: 4.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Changed-By: Mario Lang <mlang@debian.org>
Description: 
 brltty     - Access software for a blind person using a braille display
 brltty-espeak - Access software for a blind person - espeak driver
 brltty-flite - Access software for a blind person - Flite speech driver
 brltty-speechd - Access software for a blind person - Speech Dispatcher driver
 brltty-udeb - Access software for a blind person using a braille display (udeb)
 brltty-x11 - Access software for a blind person using a braille display - X11
 cl-brlapi  - Common Lisp bindings for BrlAPI
 libbrlapi-dev - Library for communication with BRLTTY - static libs and headers
 libbrlapi-java - Java bindings for BrlAPI
 libbrlapi-jni - Java bindings for BrlAPI (native library)
 libbrlapi0.5 - braille display access via BRLTTY - shared library
 python-brlapi - Python bindings for BrlAPI
Closes: 611648 633910 653587
Changes: 
 brltty (4.3-1) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * New upstream release.
     - debian/patches/30-upstream-table-fixes.patch: Drop, merged upstream.
     - debian/patches/40-silence-offset-warning.patch: Drop, fixed upstream.
     - debian/patches/50-screen_linux_build.patch: Drop, merged upstream.
     - debian/rules: Help files are now called *.txt. Install localized messages.
     - debian/60xbrlapi: Add script to automatically start xbrlapi on X11 session
     startup.
   * debian/rules: Use dh_python2 instead of dh_pysupport (Closes: #633910).
   * debian/control: Bump dependencies accordingly. Set new XS-Python-Version
     field to 2.7.
   * debian/brltty-udeb.start: New script installed as
     /lib/debian-installer.d/S19brltty, to record in /var/run/brltty-debconf that
     debconf is about to be started with the current framebuffer parameters.
   * debian/brltty-udeb.init: Remove udevadm settle call, and move disabling
     framebuffer to...
   * debian/brltty-udeb.sh: here, but create a
     /lib/debian-installer.d/S20brltty script instead of doing it immediately,
     since debconf might be currently running and about to overwrite the
     database. Last but not least, if /var/run/brltty-debconf exists, kill
     debconf to let it restart without framebuffer (Closes: #611648).
   * debian/brltty-udeb.udev.rules: Add 1fe4:0054 entry.
   * debian/rules: Add build-indep and build-arch targets.
   * debian/rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
   * debian/control:
     - Depend on hardening-check.
     - Build-Conflict with libatspi-dev.
   * debian/rules: Do not build and install atspi driver any more.
 .
   [ Mario Lang ]
   * Fix brace-expansion-in-debhelper-config-file debian/brltty.install
   * debian/initramfs/hooks/brltty: Update for multiarch (Closes: Bug#653587).
Checksums-Sha1: 
 5f5fa296cdf653caca9ccf9c8070ab4085db72dc 2197 brltty_4.3-1.dsc
 4619425f094724d5a01cc9ee90d737ddd4bf77c3 2343206 brltty_4.3.orig.tar.gz
 3a892612df4cd8bc0558d498dd7264fdc65f878c 23576 brltty_4.3-1.debian.tar.gz
 f4e23882121bd66540004a43fc92c490fbba15f0 1499140 brltty_4.3-1_amd64.deb
 2720a45f33bccdcce0e78bd85784d6d37fed4175 76336 libbrlapi0.5_4.3-1_amd64.deb
 55664b2be422489dfdc3f17b2ab74d8222ac5482 180348 libbrlapi-dev_4.3-1_amd64.deb
 2642ae77825744463660650d813d01593e7800d9 66914 libbrlapi-jni_4.3-1_amd64.deb
 be5f46b6d897e7b89033dbd9b03af513c29b22d1 60780 brltty-flite_4.3-1_amd64.deb
 81e2095377836059bcab2380ed6858b0408e10eb 61592 brltty-speechd_4.3-1_amd64.deb
 fa5b82477ecde212ef0668ae62039b3c0da6952c 60668 brltty-espeak_4.3-1_amd64.deb
 e95ba6bffcf7a312afac3ccbb6f8514c04200549 114866 brltty-x11_4.3-1_amd64.deb
 68b1365f2fbb055ce771b7fc62e8d198e22cecb3 101802 python-brlapi_4.3-1_amd64.deb
 199e499ea94d35ca3709571f7d625c32af9b668c 110880 libbrlapi-java_4.3-1_all.deb
 8b1eaeb873422ecc459208bc8443e3a458b4849a 60744 cl-brlapi_4.3-1_all.deb
 d1d2973974864d8580523e53e14c4dbcd617c46f 303944 brltty-udeb_4.3-1_amd64.udeb
Checksums-Sha256: 
 ee615f4ee53a08f9a33666decb0bb0861e5f74277f4e90903fd7c8a4de96016c 2197 brltty_4.3-1.dsc
 fd3140a52defa091f48e3edd1cf482e64520f7fd5be03aadd4ac819067060599 2343206 brltty_4.3.orig.tar.gz
 6412a25f3d6d38ed68d319f735277f301064c143b5ff4794bfff5456991ca211 23576 brltty_4.3-1.debian.tar.gz
 3f1d37901dbdf90360b4f97ed104f4ab3401ae5fa98917a197fb7b10f5ec2641 1499140 brltty_4.3-1_amd64.deb
 01ab5e494a617bde9d5b8e89bfcc932d6f0d73641fc7afebb98ad058d5653af8 76336 libbrlapi0.5_4.3-1_amd64.deb
 0aac7f96e81ab5531a8746c338dd6c4a61d86a9f5b77d4c482f92fc46d1e88ae 180348 libbrlapi-dev_4.3-1_amd64.deb
 760ed824f666f5acc498e0fda5cd3616fddf37cbaa92b30156de3c3710794b01 66914 libbrlapi-jni_4.3-1_amd64.deb
 ad9795e744faba27c9ed99d66754eebedaf05c64dbba37ec0d41e93ef26f0203 60780 brltty-flite_4.3-1_amd64.deb
 d6c88e65a240f2d12d9848172bcc37f0287ddc8c8961d165edd69d04258718fd 61592 brltty-speechd_4.3-1_amd64.deb
 b60291c85b210822367e2cc52b227136d5c6ab48cb9eab9afdbee637b1ed24c1 60668 brltty-espeak_4.3-1_amd64.deb
 93472d0cf9cd442429ab40c5b6dbf2ca49995ba32f0809df834d595bce534798 114866 brltty-x11_4.3-1_amd64.deb
 bc36d1e7cbd7cb6b2cc587c5d81c95a998200d35fb9a6fd65db405dcb2f0be44 101802 python-brlapi_4.3-1_amd64.deb
 d470346585f47298210d682b7901b2676bc39c494e1465b28dddc6e668ecd8fd 110880 libbrlapi-java_4.3-1_all.deb
 3ad3fbe4a06d71308be573894a348003875a2d8e24601b95db932923bfe04b5f 60744 cl-brlapi_4.3-1_all.deb
 60629bf058e9e057c82d05e5183bf86a67e2bd3842f2e0a0ff52040da358f967 303944 brltty-udeb_4.3-1_amd64.udeb
Files: 
 b42c4f360d0b4e8d5192f9f71abd01db 2197 admin extra brltty_4.3-1.dsc
 5ada573f88df32b6150db3b9a620e20b 2343206 admin extra brltty_4.3.orig.tar.gz
 1fedbdc32e2a9ee298ff7bee896a4c20 23576 admin extra brltty_4.3-1.debian.tar.gz
 0bd5a9541933b573687d9df028a8805b 1499140 admin extra brltty_4.3-1_amd64.deb
 7c07cd1d8770ab71a525787b8741bb0c 76336 libs extra libbrlapi0.5_4.3-1_amd64.deb
 886c7a248cb1e0b170563b80527a1e78 180348 libdevel extra libbrlapi-dev_4.3-1_amd64.deb
 d5852ae07c1c7bf645fe2bbc886554f0 66914 libs extra libbrlapi-jni_4.3-1_amd64.deb
 858181cb05c3636e60387725099ff353 60780 admin extra brltty-flite_4.3-1_amd64.deb
 da985ba60be6e5e8c9fd52bd26fd2b24 61592 admin extra brltty-speechd_4.3-1_amd64.deb
 cbac8a1ee6ce6ea60ae167f900d90bff 60668 admin extra brltty-espeak_4.3-1_amd64.deb
 651bf8af85af063e2b494f2421f8126a 114866 admin extra brltty-x11_4.3-1_amd64.deb
 f0c9488f2678499b87ef60892027df7a 101802 python extra python-brlapi_4.3-1_amd64.deb
 215faaec9483eff87ec71d59f86aaf69 110880 java extra libbrlapi-java_4.3-1_all.deb
 26a6aecc51742ec0491b10161c6e312c 60744 lisp extra cl-brlapi_4.3-1_all.deb
 47d595ca5dd0b47c5cc5b8ca6843002f 303944 debian-installer extra brltty-udeb_4.3-1_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iF4EAREKAAYFAk8GKdUACgkQa6Lp0s/HjrMxrwD8Ctj70osWKPONpL3RKiD2bDWP
Cf+CbeR7EPuD2n715E0A/ip7jiohZvFH5g0qXfLqN+azd6JpANlw6B4tNbG7IPoI
=PxlE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Feb 2012 07:35:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:35:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.